﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Init Cal Power Sensor /N5532
INSTRUMENT:            Sub MG369XC Get Cal Power Sensor /N5532
DATE:                  2013-11-18 13:08:15
AUTHOR:                Anritsu
REVISION:              $Revision: 8092 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       85
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_cal_adj_power_sensor_n5531s.mc $
#    $Date: 2014-06-10 06:37:26 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         INIT_POWER_SENSOR            PSUB("Init")
  1.002  JMPL         GET_POWER_SENSOR             PSUB("Get")
  1.003  DISP         Called subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# =============  Sub MG369XC Init Specified Power Sensor  ===================
  2.001  LABEL        INIT_POWER_SENSOR
# Specify power sensors to be used with N5531S Series Calibrated Receiver.

  2.002  MATH         @N5532_PS_DC_TO_4_GHz		        = "N5532A-504"
  2.003  MATH         @N5532_PS_30_MHz_to_50_GHz		= "N5532A-550"

# The switch freq must be in the range of frequencies valid for both
# sensors.  Specify the switch freq range.

  2.004  MATH         @N5532_PS_Switch_Freq_Min = 0.050
  2.005  MATH         @N5532_PS_Switch_Freq_Max = 4.0

# Specify the default freq used to select the sensor to use.

  2.006  MATH         @N5532_PS_Switch_Freq = 2.0

  2.007  END

  2.008  EVAL   Increment Step Number

# =============  Sub MG369XC Get Specified Power Sensor  ====================
  3.001  LABEL        GET_POWER_SENSOR

  3.002  MATH         sf = @N5532_PS_Switch_Freq
  3.003  MATH         @PS = "invalid"

  3.004  IF           sf < @N5532_PS_Switch_Freq_Min
  3.005  DISP         Sensor switch frequency [V sf] too low
  3.006  END
  3.007  ELSEIF       sf > @N5532_PS_Switch_Freq_Max
  3.008  DISP         Sensor switch freq [V sf] too high
  3.009  END
  3.010  ENDIF

  3.011  IF           @FreqGHz >= sf
  3.012  MATH         @PS = @N5532_PS_30_MHz_to_50_GHz
  3.013  ELSE
  3.014  MATH         @PS = @N5532_PS_DC_TO_4_GHz
  3.015  ENDIF
  3.016  END
