﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Detector Table Cal /N5531S
DATE:                  2014-02-22 15:21:15
AUTHOR:                Al Shannon
REVISION:              $Revision: 8097 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       73
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_detector_table_cal_n5531s.mc $
#    $Date: 2014-06-10 06:39:42 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        Sub MG369XC Band Detector Table Cal /N5531S
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         {Detector Table Calibration}
  1.002  HEAD         -2

# Set the sensor switch freq to the lowest max freq value so only one
# power sensor will be needed.  The 0.1 GHz value comes from the lowest
# freq searched for max power values.
  1.003  MATH         @N5532_PS_Switch_Freq = 0.1

# Prepare the signal generator for detector table calibration
  1.004  IEEE         RST[D2000]RF0
  1.005  IEEE         CSB SQ0 WH1[D2000]
  1.006  IEEE         WHF117[D50]

  1.007  TARGET       -p

  1.008  IF           @Opt_4 || @Opt_5
  1.009  HEAD         {Detector Table Calibration - Downconverter Band}

  1.010  MATH         @BandMaxPower = @DCMaxPower
  1.011  MATH         @BandMaxFreq = @DCMaxFreq
  1.012  CALL         Sub MG369XC Band Detector Table Cal /N5531S

  1.013  ENDIF

  1.014  HEAD         {Detector Table Calibration - Main Band}

  1.015  MATH         @BandMaxPower = @MainMaxPower
  1.016  MATH         @BandMaxFreq = @MainMaxFreq
  1.017  CALL         Sub MG369XC Band Detector Table Cal /N5531S

  1.018  TARGET       -p

# Exit the cal, save the results, and exit calibration mode.
  1.019  IEEE         WHX CSB SQ1 MB2D SB1 PGM [SRQ 5000] WH0
  1.020  WAIT         -a -t 15 Please wait for the unit to restart
  1.021  END
